#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: microlens
version: 0.4.3.0
id: microlens-0.4.3.0-db24337e8c5d473bb94d7492ba26981b
key: micro_GhoK0y42A3PLqtd5N2aQBV
license: BSD3
maintainer: Artyom <yom@artyom.me>
homepage: http://github.com/aelve/microlens
synopsis: A tiny part of the lens library with no dependencies
description:
    This is an extract from <http://hackage.haskell.org/package/lens lens> (with no dependencies). It'\''s not a toy lenses library, unsuitable for “real world”, but merely a small one. It is compatible with lens, and should have same performance. It also has better documentation.
    .
    Use this library:
    .
    * if you want to define lenses or traversals in your own library, but don'\''t want to depend on lens
    .
    * if you are new to lenses and want a small library to play with, but don'\''t want to use something “inferior” or have to relearn things when/if you switch to lens
    .
    Don'\''t use this library:
    .
    * if you need @Iso@s, @Prism@s, indexed traversals, or actually anything else which isn'\''t defined here
    .
    * if you want a library with a clean, understandable implementation (in which case you'\''re looking for <http://hackage.haskell.org/package/lens-simple lens-simple>)
    .
    If you'\''re writing an application which uses lenses more extensively, look at <http://hackage.haskell.org/package/microlens-platform microlens-platform> – it combines features of most other microlens packages (<http://hackage.haskell.org/package/microlens-mtl microlens-mtl>, <http://hackage.haskell.org/package/microlens-th microlens-th>, <http://hackage.haskell.org/package/microlens-ghc microlens-ghc>).
    .
    If you want to export getters or folds and don'\''t mind the <http://hackage.haskell.org/package/contravariant contravariant> dependency, please consider using <http://hackage.haskell.org/package/microlens-contra microlens-contra>.
    .
    There'\''s a longer readme <https://github.com/aelve/microlens#readme on Github>, you should read it if you'\''re interested about using this library.
    .
    If you haven'\''t ever used lenses before, read <http://hackage.haskell.org/package/lens-tutorial/docs/Control-Lens-Tutorial.html this tutorial>. (It'\''s for lens, but it applies to microlens just as well.)
    .
    Note that microlens has /no/ dependencies starting from GHC 7.10 (base-4.8). Prior to that, it has to depend on transformers-0.2 or above.
category: Data, Lenses
author: Edward Kmett, Artyom
exposed: True
exposed-modules:
    Lens.Micro Lens.Micro.Extras Lens.Micro.Internal Lens.Micro.Type
trusted: False
import-dirs: /usr/lib/ghc-7.10.3/site-local/microlens-0.4.3.0
library-dirs: /usr/lib/ghc-7.10.3/site-local/microlens-0.4.3.0
data-dir: /usr/share/arm-linux-ghc-7.10.3/microlens-0.4.3.0
hs-libraries: HSmicrolens-0.4.3.0-GhoK0y42A3PLqtd5N2aQBV
depends:
    base-4.8.2.0-2f1f71a7fcf013cd47fd21f489064f9a
haddock-interfaces: /usr/share/doc/haskell-microlens/html/microlens.haddock
haddock-html: /usr/share/doc/haskell-microlens/html
' | '/usr/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
